[arch-haskell] ArchLinux binary repository available for beta testing

Peter Simons simons at cryp.to
Sat Oct 12 07:38:23 UTC 2013

Hi Peter,

 >>    [haskell]
 >>    Server = http://andromeda.kiwilight.com/$repo/$arch
 > It looks like the packages there do not have specified the exact
 > version (including pkgrel) in their dependency info (as an example I
 > looked at haskell-yesod). If it would be included then pacman can
 > check consistency of the installed set of binary packages. Is it
 > planned to add the full exact version to the dependency info?

you are right, we should do that. The tool-chain *almost* supports it.
The only thing that's missing is the ability to specify the $pkgrel to
depend on. I've opened a ticket here:


As soon as that ability has been added, we can re-generate the HABS tree
to specify dependencies with exact version numbers.

I would assume that this makes sense only for library packages, though,
right? Or is anyone aware of a reason why we might want to depend on a
very specific version of a tool like c2hs?

Take care,

More information about the arch-haskell mailing list